#container-3d {
  position: relative;
  border: 1px solid #dad8d8;
  margin-top: 40px;
  margin-bottom: 40px;
  overflow: hidden;
}

img.house {
  max-width: 100%;
}

.loader {
    position: absolute;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    display:none;
}

.loader.show {
    display: flex;
}

.loader .white_fade {
    width: 100%;
    height: 100%;
    position: absolute;
    background: #fff;
    opacity: 0.2;
}

.loader svg {
    position:relative;
}

#container-3d .config-btn {
  position: absolute;
  bottom: 30px;
  margin: 0 auto;
  left: 0;
  right: 0;
  display: inline-block;
  font-size: 20px;
  text-align: center;
}

#container-3d .config-btn span {
  padding:10px 20px;
  border-radius: 5px;
  background: #fffd3c;
  display: inline-block;
  -webkit-box-shadow: 0 0 2px 0 #383838;
  box-shadow: 0 0 2px 0 #383838;
  cursor: pointer;
}

#container-3d .config-btn span:hover {
  background: #f5f200;
}

.selected-3d {
    width: 180px;
    position: absolute;
    background: #f3f3f3;
    height: 100%;
    top: 0;
    right: 340px;
    display: none;
    padding: 32px 20px 20px;
    transition: right 0.2s ease-in;
}

.selected-3d.hidden {
    right: -180px;
}

.selected-option {
    margin-bottom: 12px;
}

.selection-option-block .go-back {
    position: absolute;
    top: -30px;
    font-size: 15px;
    font-weight: 500;
    color: #247ba0;
    display: -webkit-flex;
    display: -ms-flex;
    display: flex;
    -ms-align-items: center;
    align-items: center;
    cursor: pointer;
}

.selection-option-block .go-back img {
    display: inline-block;
    margin-right: 10px;
}

.selection-option-block .go-back:hover {
    text-decoration: underline;
}

.selected-option .option-name {
    font-size: 13px;
    color: #797979;
    margin-bottom: 2px;
}

.selected-option .option-value {
    font-size: 14px;
    font-weight: 500;
    line-height: 1.2;
}

.selected-3d .title {
    font-size: 14px;
    font-weight: bold;
    color: #ff1654;
    margin-bottom: 15px;
}

.download-image {
    position: absolute;
    bottom: 80px;
    left: 0;
    background: #fff;
    padding: 10px 18px;
    font-weight: 500;
    font-size: 14px;
    cursor: pointer;
    display: none;
    width: 107px;
}

.download-image:hover {
    background: #f3f3f3;
}

.toggle-interface {
    position: absolute;
    bottom: 0;
    left: 0;
    background: #fff;
    padding: 10px 18px;
    font-weight: 500;
    font-size: 14px;
    cursor: pointer;
    display: none;
}

.toggle-interface:hover {
    background: #f3f3f3;
}

.toggle-interface .option-interface {
    display: none;
}

.toggle-interface .option-interface.visible {
    display: block;
}

.selections {
  position: absolute;
  top: 0;
  right: -340px;
  width: 340px;
  background-color: #fff;
  height: 100%;
  padding: 20px;
  transition: right 0.2s ease-in;
}

.selections .block-title {
  font-weight: bold;
  font-size: 18px;
  margin-bottom: 18px;
}

.selections.open {
  right: 0;
}

#container-3d .close {
  margin-top: -10px;
  font-weight: normal;
  font-size: 2rem;
}

.selection-option-block {
  margin-top: 25px;
  position: absolute;
  width: 100%;
  padding: 20px;
  padding-top: 0;
  left: 0;
}

.btn-stn {
  display: -webkit-flex;
  display: -ms-flex;
  display: flex;
  justify-content: space-between;
  padding: 12px 15px;
  border-radius: 4px;
  border: solid 1px rgba(0, 0, 0, 0.15);
  cursor: pointer;
  font-weight: 500;
  -ms-align-items: center;
  align-items: center;
}

.btn-stn span{
  font-size: 14px;
}

.brick-maker img {
    max-width: 50px;
    max-height: 21px;
}

.brick-format__1nf img {
  width: 26px;
}

.btn-stn:hover {
  border-color: transparent;
}

.border_blue {
  border: solid 3px transparent;
  border-radius: 4px;
  margin-bottom: 7px;
}

.border_blue:hover {
  border-color: #247ba0;
}

.brick-tone .color {
    border-radius: 50%;
    display: inline-block;
    width: 24px;
    height: 24px;
}

.brick-tone .color.red {
    background-color: red;
}

.brick-tone .color.yellow {
    background-color: #fff200;
}

.brick-tone .color.brown {
    background-color: #a52a2a;
}

.brick-tone .color.white {
    background-color: #fff;
    border: solid 1px rgba(0, 0, 0, 0.35);
}

.brick-tone .color.gray {
    background-color: #8c8c8c;
}

.brick-tone .color.bavaria {
    background: url('/3d/images/icons/bavaria.png') no-repeat center / contain;
}

.brick-color img.thumb {
    max-width: 50px;
}

.tooltip.show {
    opacity: 1 !important;
}

.tooltip-inner {
    color: #000;
    background-color: #fff !important;
    box-shadow: -6px 0 24px 0 rgba(0, 0, 0, 0.35);
    width: 120px;
    height: 100px;
    display: -webkit-flex;
    display: -ms-flex;
    display: flex;
    -ms-align-items: center;
    align-items: center;
}

.tooltip.bs-tooltip-auto[x-placement^=left] .arrow::before,
.tooltip.bs-tooltip-left .arrow::before {
    border-left-color: #fff;
}

.tooltip-inner img.tooltip-thumb {
    max-width: 100%;
}

#final-choices .label {
    display: block;
    font-size: 13px;
    color: #797979;
    margin-bottom: 2px;
}

#final-choices .applyBtn {
    display: block;
    width: 100%;
    padding: 15px 0;
    background-color: #fcd608;
    border: none;
    border-radius: 4px;
    font-weight: 500;
    cursor: pointer;
    margin-top: 30px;
}

#final-choices .applyBtn:hover {
    background-color: #ffe246;
}

.house-summary {
    position: absolute;
    top: 0;
    right: 0;
    background-color: #fff;
    font-size: 14px;
    padding: 15px;
    width: 180px;
    box-shadow: 0 6px 24px 0 rgba(0, 0, 0, 0.35);
    cursor: pointer;
    display: none;
}

.house-summary > div {
    margin-bottom: 10px;
}

.house-summary > div span {
    display: block;
    line-height: 1.4;
}

.house-summary > div span.label {
    font-size: 13px;
    color: #797979;
}

.house-summary:hover {
    background-color: #fcfcfc;
}

.house-summary img.edit {
    position: absolute;
    width: 12px;
    right: 16px;
    top: 17px;
    opacity: 0;
    transition: 0.2s ease-in opacity;
}

.house-summary:hover img.edit {
    opacity: 1;
}

@media screen and (max-width:480px) {
    html.three-d {
        height: 100%;
    }

    html.three-d body {
        height: 100%;
    }

    html.three-d h1 {
        font-size: 1.2em;
        margin-bottom: 10px;
    }

    #container-3d {
        margin-top: 0;
        /*height: 570px;*/
    }

    #container-3d.clicked {
        height: 570px;
    }

    .container {
        height: 100%;
    }

    #container-3d .config-btn {
        font-size: 14px;
    }

    #container-3d .config-btn span {
        padding: 7px 15px;
    }

    .toggle-interface, .download-image {
        z-index: 1;
        background: #f3f3f3;
    }

    .house-summary {
        position: relative;
        font-size: 12px;
        width: 100%;
        padding: 10px;
    }

    .house-summary > div span.label {
        font-size: 11px;
    }

    .house-summary > div {
        margin-bottom: 5px;
    }

    .download-image {
        left: auto;
        right: 0;
        bottom: 0;
        font-size: 12px;
        width: auto;
        padding: 10px;
        border-radius: 5px;
        width: 95px;
        text-align: center;
    }

    .toggle-interface {
        font-size: 12px;
        padding: 10px;
        border-radius: 5px;
        width: 95px;
        text-align: center;
    }

    #final-choices .applyBtn {
        margin-top: 0;
        padding: 8px 0;
        font-size: 14px;
    }

    .btn-stn {
        padding: 8px 10px;
    }

    .btn-stn span {
        font-size: 12px;
    }

    #final-choices .label {
        font-size: 12px;
    }

    .house-summary img.edit {
        opacity: 1;
    }

    .selections {
        width: 100%;
    }

    .selections {
        right: auto;
        -webkit-transform: translateX(100%);
        -ms-transform: translateX(100%);
        transform: translateX(100%);
        transition: transform 0.2s ease-in;
    }

    .selections.open {
        right: auto;
        -webkit-transform: translateX(0);
        -ms-transform: translateX(0);
        transform: translateX(0);
    }
}

@media screen and (max-width:320px) {
    #container-3d.clicked {
        height: 460px;
    }

    .toggle-interface,
    .download-image{
        padding: 5px;
        font-size: 10px;
    }

    .selections .block-title {
        font-size: 15px;
        margin-bottom: 10px;
    }

    .btn-stn {
        padding: 5px;
    }

    .btn-stn span {
        font-size: 10px;
    }

    .selection-option-block .go-back {
        font-size: 12px;
        top: -15px;
    }

    .selection-option-block .go-back img {
        width: 14px;
        margin-right: 5px;
    }

    .selection-option-block {
        margin-top: 5px;
        padding: 10px;
    }

    #final-choices .label {
        font-size: 10px;
    }

    .border_blue {
        margin-bottom: 2px;
    }

    #final-choices .applyBtn {
        font-size: 11px;
        padding: 5px 0;
    }

    .house-summary > div span.label {
        font-size: 10px;
    }

    .house-summary > div span {
        font-size: 11px;
    }

    .house-summary {
        box-shadow: 0 0px 12px 0 rgba(0, 0, 0, 0.35);
    }

    html.three-d h1 {
        font-size: 1rem;
    }

    .call-us-mob .text-phone {
        font-size: 16px;
    }
}

